import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsCoachmark as GdsCoachmarkClass } from "../../../components/coachmark/coachmark.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsCoachmark = (props) => {
  GdsCoachmarkClass.define();
  const JSXElement = getReactComponent("gds-coachmark");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsCoachmark.displayName = "GdsCoachmark";
export {
  GdsCoachmark
};
